Package org.tmatesoft.svn.core

# Interface ISVNDirEntryHandler

All Known Implementing Classes:
  `SVNXMLDirEntryHandler`

public interface ISVNDirEntryHandler
The ISVNDirEntryHandler interface is used to handle information about directory entries while retrieving dir contents.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Method Summary

Modifier and Type
Method
Description
`void`
`handleDirEntry(SVNDirEntry dirEntry)`
Handles a directory entry passed.

## Method Details

### handleDirEntry

void handleDirEntry(SVNDirEntry dirEntry) throws SVNException
Handles a directory entry passed.

Parameters:
  `dirEntry` - a directory entry
Throws:
  `SVNException`
See Also:
  - `SVNDirEntry`